<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
              <div class="panel-title"><?php print CommonLanguage::getMessage('product_note_list'); ?></div>
            <?php if ($permissions->hasPermission('add_product_note')) {
    echo Forms::FloatingAddButton('4c0870', '#add_edit_product_note_modal', CommonLanguage::getMessage('Add'), 'add_product_note');} ?>
            <div class="clearfix"></div>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered inventory" id="tableWithSearch">
                    <thead>
                        <tr>
                            <th><?php print CommonLanguage::getMessage('note') ?></th>
                            <th><?php print CommonLanguage::getMessage('product_link') ?></th>
                            <th><?php print CommonLanguage::getMessage('Action') ?></th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<script>
    var title = <?php echo json_encode(CommonLanguage::getMessage('product_note_list')); ?>,
        delete_modal = <?php
            echo json_encode([CommonLanguage::getMessage('Confirm_Delete'),
                              CommonLanguage::getMessage('About_To_Delete'),
                              CommonLanguage::getMessage('Proceed_Delete'),
                              CommonLanguage::getMessage('Close'),
                              CommonLanguage::getMessage('delete'),
                              CommonLanguage::getMessage('Deleted_Successfully')
                             ]);
            ?>;
        $(function () {
            RebuildDataTable(title, [0], 'InventoryAjax/product_note_list',1);
            $('#tableWithSearch').on('click', '.delete', function () {
                var product_note_id = $(this).parents('div.Action').attr('data-id')
                IncludeDeleteModal(delete_modal, {entry_value: product_note_id}, function () {
                    RebuildDataTable(title, [0], 'InventoryAjax/product_note_list',1);
                }, "InventoryAjax/deleteProductNote");
            });
        });
</script>
<?php if ($permissions->hasPermission('add_product_note') || $permissions->hasPermission('edit_product_note')) {
    include 'Views/Inventory/add-edit-product-note-modal.php';
}
